> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gomaestro.org/llms.txt
> Use this file to discover all available pages before exploring further.

> Get detailed information about a Dogecoin Ordinals inscription including metadata, content type, and creation details.

# Inscription Info



## OpenAPI

````yaml dogecoin/blockchain-indexer-api/openapi.json get /assets/inscriptions/{inscription_id}
openapi: 3.0.3
info:
  title: Dogecoin - Blockchain Indexer API
  description: Core indexer endpoints dedicated to Dogecoin metaprotocols.
  contact:
    name: Maestro Blockchain Inc.
    url: https://gomaestro.org/
    email: info@gomaestro.org
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.txt
  version: v0.1.1
servers:
  - url: https://xdg-mainnet.gomaestro-api.org/v0
    description: Dogecoin Mainnet
  - url: https://xdg-testnet.gomaestro-api.org/v0
    description: Dogecoin Testnet
security:
  - api-key: []
paths:
  /assets/inscriptions/{inscription_id}:
    get:
      tags:
        - Inscriptions
      summary: Inscription Info
      description: >-
        Information about an inscription. A preview of the content body is given
        only if its type is

        "text/plain". For the whole content, use the complementary endpoint,
        namely

        `/assets/inscriptions/{inscription_id}/content_body`.
      operationId: inscription_info
      parameters:
        - name: inscription_id
          in: path
          description: Inscription ID
          required: true
          schema:
            type: string
          example: 7d0a2dd897222913d58fc957b0429526117a0a61c964642fe93b077f328ccec1i0
      responses:
        '200':
          description: Requested data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TimestampedInscriptionInfo'
              example:
                data:
                  content_body_preview: null
                  content_length: 3035
                  content_type: text/html;charset=utf-8
                  created_at: 842166
                  inscription_id: >-
                    7d0a2dd897222913d58fc957b0429526117a0a61c964642fe93b077f328ccec1i0
                  inscription_num: 70634325
                last_updated:
                  block_hash: >-
                    00000000000000000000ec10254178fe52253f40c1fad252e892d9aa22ee8fa7
                  block_height: 866710
        '400':
          description: Malformed query parameters
        '404':
          description: Requested entity not found on-chain
        '500':
          description: Internal server error
components:
  schemas:
    TimestampedInscriptionInfo:
      type: object
      required:
        - data
        - last_updated
      properties:
        data:
          $ref: '#/components/schemas/InscriptionInfo'
        last_updated:
          $ref: '#/components/schemas/LastUpdated'
    InscriptionInfo:
      type: object
      required:
        - inscription_id
        - created_at
        - inscription_num
        - content_length
      properties:
        content_body_preview:
          type: string
          description: >-
            Preview of inscription content body raw data. Max: 100 bytes.

            Supported types: "text/plain", "text/plain;charset=utf-8",
            "application/json".
          nullable: true
        content_length:
          type: integer
          format: int64
          description: Length of entire inscription content body bytes array.
          minimum: 0
        content_type:
          type: string
          description: Type of the content body.
          nullable: true
        created_at:
          type: integer
          format: int64
          description: Block height of the reveal transaction.
          minimum: 0
        inscription_id:
          type: string
          description: >-
            String representation of the inscription ID, whose first coordinate
            is the reveal

            transaction hash, and the second coordinate is the index of
            inscription in the reveal

            transaction.
        inscription_num:
          type: integer
          format: int64
          description: Global inscription number.
          minimum: 0
    LastUpdated:
      type: object
      required:
        - block_hash
        - block_height
      properties:
        block_hash:
          type: string
        block_height:
          type: integer
          format: int64
          minimum: 0
  securitySchemes:
    api-key:
      type: apiKey
      in: header
      name: api-key
      description: Project API Key

````